Bug 497805 - Review Request: cppcheck - A tool for static C/C++ code analysis
Review Request: cppcheck - A tool for static C/C++ code analysis
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 07:06 EDT by Susi Lehtola
Modified: 2011-05-23 13:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.31-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:26:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chkr: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-04-27 07:06:21 EDT
Spec URL: 
http://theory.physics.helsinki.fi/~jzlehtol/rpms/cppcheck.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/cppcheck-1.31-1.fc10.src.rpm

Upstream URL: http://cppcheck.wiki.sourceforge.net

Description:
This program tries to detect bugs that your C/C++ compiler don't see.
The goal is no false positives.

Your compiler can detect many problems that cppcheck don't try to detect.
We recommend that you enable as many warnings as possible in your compiler.

Cppcheck is versatile. You can check non-standard code that includes
various compiler extensions, inline assembly code, etc.



rpmlint output is clean.
Comment 1 Christian Krause 2009-04-29 17:48:11 EDT
* rpmlint: OK
rpmlint SPECS/cppcheck.spec RPMS/i386/cppcheck-* SRPMS/cppcheck-1.31-1.fc10.src.rpm
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

* naming: OK
- name matches upstream
- spec file name %{name}.spec

* License: OK
- GPLv3+ acceptable for Fedora
- license matches the actual license in the source files
- license file packaged

* spec file in English and legible: OK

* sources matches upstream: OK
- spectool -g cppcheck.spec works
- md5sum: db500cee39ceaa7379bb105046d36cce  cppcheck-1.31.tar.bz2

* package compiles: OK
- rpm's %{optflags} are used correctly
- mock build successful
- koji builds for F10, F11 and F12 successful for all architectures:
https://koji.fedoraproject.org/koji/taskinfo?taskID=1329473
https://koji.fedoraproject.org/koji/taskinfo?taskID=1329468
https://koji.fedoraproject.org/koji/taskinfo?taskID=1329463

* build requirements: OK
- the BR: gcc-c++ is not necessarily needed, since gcc-c++ is already in
the minimum build environment:
 http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- however, it is not forbidden to add it anyway

* locales handling: OK (n/a)

* handling of static/shared objects, pkgconfig, header files, etc: OK (n/a)

* owns all directories it creates: OK

* no files listed twice in %files: OK

* permissions on files: OK
- %defattr used
- actual permissions in binary rpm OK

* clean section: OK
- rm -rf %{buildroot} used

* macro usage: OK

* code vs. content: OK
- only code and test c++ files

* large documentation in subpackage: OK (n/a)
- the test files are only 300K

* no *.la files: OK

* GUI application needs *.desktop file: OK (n/a)

* package must not own files/dirs owned by other packages: OK

* rm -rf %{buildroot} at beginning of %install: OK

* filenames UTF-8: OK

* functional test: OK
- used some of the code snippets from the test files to verify the
functionality of cppcheck

* debuginfo: OK
- debuginfo package not empty
- debuginfo actually usable

No problems found => APPROVED.
Comment 2 Susi Lehtola 2009-04-29 18:03:26 EDT
(In reply to comment #1)
> * build requirements: OK
> - the BR: gcc-c++ is not necessarily needed, since gcc-c++ is already in
> the minimum build environment:
>  http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
> - however, it is not forbidden to add it anyway

You're right, I'll remove it. Thanks for the review.


New Package CVS Request
=======================
Package Name: cppcheck
Short Description: A tool for static C/C++ code analysis
Owners: jussilehtola
Branches: EL-5 F-10 F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-04-30 00:57:30 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-30 02:04:16 EDT
cppcheck-1.31-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cppcheck-1.31-1.fc10
Comment 5 Fedora Update System 2009-04-30 02:04:57 EDT
cppcheck-1.31-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cppcheck-1.31-1.fc11
Comment 6 Fedora Update System 2009-05-02 12:26:22 EDT
cppcheck-1.31-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-05-09 00:08:37 EDT
cppcheck-1.31-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Susi Lehtola 2011-05-23 01:10:16 EDT
Package Change Request
======================
Package Name: cppcheck
New Branches: el4
Owners: jussilehtola
InitialCC:
Comment 9 Jason Tibbitts 2011-05-23 13:39:41 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.